<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class City extends Model
{
    use HasFactory;

    public function agencies()
    {
        return $this->hasMany(Agency::class, 'city_id', 'city_id')->where('grade', 'C');
    }
}
